Subject: Re: Globbing for ignored branches?

From: Junio C Hamano <[email-masked]>
Date: Fri, 24 Jan 2014 12:00:16 -0800

Jeff King <[email-masked]> writes:

> On Fri, Jan 24, 2014 at 07:32:22PM +0100, Markus Trippelsdorf wrote:
>
>> > However, you do have to specify each branch individually. You probably
>> > want to say "all branches except X", and you cannot currently specify
>> > a negative refspec like that.
>> 
>> Yes, that was the question I wanted to ask (, sorry for not formulating
>> it more clearly). 
>> Is this "negative refspec for branches" a feature that is planned for
>> the future?
>
> It is something that has been talked about before, but I do not think
> anybody is actively working on. It would probably not be too hard a
> feature if you are interested in getting your feet wet in git
> development. :)

The end result might be not so hard in the mechanical sense, but
designing the interface would be hard.  I do not offhand think of a
good way to do this.